Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.form
Class HtmlFormRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlFormRendererBase
                  org.apache.myfaces.custom.form.HtmlFormRenderer

public class HtmlFormRenderer
extends org.apache.myfaces.renderkit.html.HtmlFormRendererBase

Version:
  $Revision$ $Date$
Author:
  Mathias Broekelmann (latest modification by $Author$)

Constructor Summary
`HtmlFormRenderer()`

Method Summary
`protected java.lang.String` | `getActionUrl(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlFormRendererBase
`addHiddenCommandParameter, decode, encodeBegin, encodeEnd`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFormRenderer

    public HtmlFormRenderer()

Method Detail

### getActionUrl

    protected java.lang.String getActionUrl(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIForm form)

  See Also:
    `HtmlFormRendererBase.getActionUrl(javax.faces.context.FacesContext, javax.faces.component.UIForm)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD